MARTe2-core - User story #116

MARTe-EX-F-1.3.6: When awaiting on any type of semaphore the framework developer shall know if
the lock was released due to a timeout or due to any type of error.

29.05.2015 14:18 - André Neto

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 8.00 hours
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement requirement MARTe-EX-F-1.3.6 based on the original MARTe implementation

Note: It is crucial that framework developers know why the shared resource was unblocked. Usually, when this happens due to a
timeout or an error, the shared resource is no longer valid.

Source code files modified

e Source/Core/L0Portability/EventSem.cpp
Source/Core/LOPortability/EventSem.h
Source/Core/L0Portability/FastPollingMutexSem.h
Source/Core/L0Portability/GeneralDefinitions.h
Source/Core/LOPortability/MutexSem.cpp
Source/Core/LOPortability/MutexSem.h
Source/Core/L0Portability/OperatingSystem/Linux/EventSemOS.h
Source/Core/L0Portability/OperatingSystem/Linux/MutexSemOS.h
Source/Core/L0Portability/OperatingSystem/Windows/EventSemOS.h
Source/Core/L0Portability/OperatingSystem/Windows/MutexSemQOS.h

Architecture & design review
Date of the review: 12/06/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 24/07/2015
Person who did the review: lvan Herrero
Result of review: PASS

List of non-conformities: N/A

Unit test review
Date of the review: 24/07/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Unit testing coverage note: Some error paths not exercised

Associated revisions

Revision ec871674 - 23.06.2015 11:58 - Giuseppe Ferro

Added the possibility to know the error type in any function (moved ErrorType enum in GeneralDefinitions.h).

Added the error type return support in all semaphore objects.
#116

Revision a474c564 - 25.06.2015 14:26 - Giuseppe Ferro

Corrected files accordingly with revision.
#116

Revision 192c81cf - 26.06.2015 12:01 - Giuseppe Ferro

Added MutexSem unit tests.
Renamed previous tests as integration tests.
#116 #115 #117 #114

Revision 367679ea - 26.06.2015 12:03 - Giuseppe Ferro

Added EventSem tests.
Renamed previous tests as integration tests.
#116 #115 #117 #118

Revision 08f24f50 - 26.06.2015 12:05 - Giuseppe Ferro

Added FastPollingMutexSem tests.
Renamed previous tests as integration tests.
#116 #115#117 #119

Revision ¢36415cb - 02.07.2015 14:42 - André Neto

Updated the FastPollingMutexSem against the agreed unit testing
strategy. #115 and #116

Revision 2b194{38 - 13.07.2015 10:24 - Llorenc Capella
US #116 EventSemTest
Note that the work is not complited yet.
List of changes:
e TestCopyConstructor2Sem added.

Revision 3860c7d6 - 24.07.2015 12:05 - Ilvan Herrero

#116 - Minor formatting corrections (following template rules)

History

#1 - 03.06.2015 11:22 - Riccardo Vitelli

- Target version changed from Backlog to 0.1
- Start date deleted (29.05.2015)

- Estimated time set to 8.00 h

#2 - 12.06.2015 10:31 - Riccardo Vitelli
- Status changed from New to Arch: Rev

#3 - 12.06.2015 11:16 - Riccardo Vitelli

- Assignee set to André Neto

#4 - 12.06.2015 18:30 - André Neto

- Description updated

#5 - 18.06.2015 09:36 - lvan Herrero
- Status changed from Arch: Rev to Code: Impl

#6 - 18.06.2015 09:47 - Ivan Herrero

- Assignee changed from André Neto to Giuseppe Ferro

#7 - 18.06.2015 12:41 - lvan Herrero

- Assignee changed from Giuseppe Ferro to Ivan Herrero

#8 - 18.06.2015 12:42 - lvan Herrero
- Status changed from Code: Impl to Code: Rev

#9 - 18.06.2015 17:30 - lvan Herrero
- Description updated

#10 - 22.06.2015 14:39 - lvan Herrero

- Assignee deleted (lvan Herrero)

#11 - 22.06.2015 14:39 - Ivan Herrero
- Status changed from Code: Rev to Code: Impl

#12 - 22.06.2015 17:31 - Riccardo Vitelli

- Assignee set to Giuseppe Ferro

#13 - 22.06.2015 17:33 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#14 - 22.06.2015 17:34 - Riccardo Vitelli

- Assignee changed from Giuseppe Ferro to Ivan Herrero

#15 - 22.06.2015 17:39 - Riccardo Vitelli
- Status changed from Code: Rev to Code: Impl

#16 - 22.06.2015 17:39 - Riccardo Vitelli

- Assignee changed from Ivan Herrero to Giuseppe Ferro

#17 - 23.06.2015 17:56 - André Neto
- Status changed from Code: Impl to Code: Rev

#18 - 25.06.2015 14:54 - Ilvan Herrero

- Description updated

Code and documentation review made on revision ec87167 with result "FAIL".

#19 - 25.06.2015 17:20 - Riccardo Vitelli
- Assignee deleted (Giuseppe Ferro)

#20 - 25.06.2015 17:21 - Riccardo Vitelli
- Status changed from Code: Rev to Unit: Impl
#21 - 26.06.2015 11:43 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#22 - 02.07.2015 18:06 - Riccardo Vitelli

- Target version changed from 0.1 to 0.2

#23 - 07.07.2015 11:24 - Riccardo Vitelli
- Assignee deleted (Giuseppe Ferro)

#24 - 10.07.2015 17:03 - Llorenc Capella

- Assignee set to Llorenc Capella

#25 - 15.07.2015 11:00 - Llorenc Capella
- Status changed from Unit: Impl to 13

#26 - 15.07.2015 11:02 - Llorenc Capella
- Status changed from 13 to Unit: Rev

#27 - 15.07.2015 11:02 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#28 - 23.07.2015 11:46 - lvan Herrero

- Assignee set to Ivan Herrero

#29 - 24.07.2015 08:34 - lvan Herrero

- Assignee deleted (lvan Herrero)

#30 - 24.07.2015 10:26 - lvan Herrero

- Assignee set to Ivan Herrero

#31 - 24.07.2015 12:15 - Ivan Herrero
- Status changed from Unit: Rev to Closed
- Assignee deleted (Ilvan Herrero)

- Description updated

Unit test review made on revision 3860c7d.

No branch used used for this used story.
